[Pkg-haskell-commits] darcs: tools: Use order-sources in mass-build
Joachim Breitner
mail at joachim-breitner.de
Sun Oct 14 09:37:10 UTC 2012
Sun Oct 14 09:37:00 UTC 2012 Joachim Breitner <mail at joachim-breitner.de>
* Use order-sources in mass-build
Ignore-this: 32fc75050a14a3fd7e2fcc6eb5ae162a
M ./mass-build.sh +18
Sun Oct 14 09:37:00 UTC 2012 Joachim Breitner <mail at joachim-breitner.de>
* Use order-sources in mass-build
Ignore-this: 32fc75050a14a3fd7e2fcc6eb5ae162a
diff -rN -u old-tools//mass-build.sh new-tools//mass-build.sh
--- old-tools//mass-build.sh 2012-10-14 09:37:10.611720507 +0000
+++ new-tools//mass-build.sh 2012-10-14 09:37:10.643723752 +0000
@@ -45,6 +45,20 @@
exit 1
fi
+ORDER_SOURCES=order-sources
+if ! which $ORDER_SOURCES >/dev/null
+then
+ pushd $(dirname $0) >/dev/null
+ ORDER_SOURCES=$PWD/order-sources.pl
+ popd >/dev/null
+fi
+if ! which $ORDER_SOURCES >/dev/null
+then
+ echo "Could not find order-sources ($ORDER_SOURCES)."
+ exit 1
+fi
+
+echo "Finding out what to build..."
while [ -n "$1" ]
do
dir=$1
@@ -79,6 +93,10 @@
popd >/dev/null
done
+echo "Figuring out build order..."
+tobuild=$($ORDER_SOURCES $tobuild)
+
+echo "Starting builds..."
for dir in $tobuild
do
if ! pushd "$dir" >/dev/null
More information about the Pkg-haskell-commits
mailing list